#
# spec file for package f2fs-tools
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           f2fs-tools
Version:        1.4.0
Release:        %mkrel 2
Summary:        Utilities for the Flash-friendly Filesystem (F2FS)
License:        GPL-2.0 and LGPL-2.1
Group:          System/Kernel and hardware
Url:            http://f2fs-tools.sf.net/

# libs
%define major	0
%define libname %mklibname f2fs %{major}

#Snapshot:	v1.4.0
#Git-Clone:	git://git.kernel.org/pub/scm/linux/kernel/git/jaegeuk/f2fs-tools
#DL-URL:	no location known - no tarballs provided
Source:         %name-%version.tar.xz
Patch1:         0001-build-provide-definitions-for-byteswapping-on-big-en.patch

Requires:	%{libname} = %{version}-%{release}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  xz
BuildRequires:  pkgconfig(uuid)

%description
Utilities needed to create and maintain F2 filesystems.

%package -n 	%{libname}
Summary:        Libraries for the Flash-friendly Filesystem (F2FS)
Group:		System/Libraries
License:        GPL-2.0 and LGPL-2.1

%description -n %{libname}
Libraries for utils to maintain F2 filesystems.

%prep
%setup -qn %name
%autopatch -p1

%build
if [ ! -e configure ]; then
	autoreconf -fi
fi
%configure2_5x --disable-static
%make sbindir="%_sbindir"

%install
%makeinstall_std sbindir="%_sbindir"

# The devel file is quite useless ATM without public headers.
rm -f "%{buildroot}/%_libdir"/*.{la,so}

%files
%doc COPYING
%_sbindir/dump.f2fs
%_sbindir/f2fstat
%_sbindir/fibmap.f2fs
%_sbindir/fsck.f2fs
%_sbindir/mkfs.f2fs
%_mandir/man8/mkfs.f2fs.8.*

%files -n %libname
%_libdir/libf2fs.so.%{major}*


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.4.0-2.mga6
+ Revision: 951355
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 tmb <tmb> 1.4.0-1.mga5
+ Revision: 805505
- libify
- spec cleanup
- import from OpenSuSE


* Tue Sep 23 2014 jengelh@inai.de
- Replace 0001-build-provide-definitions-for-byteswapping-on-big-en.patch
  with official upstream version.
* Fri Sep 19 2014 jengelh@inai.de
- Update to new upstream release 1.4.0
  * fsck: add the -a option (auto-fix errors) [bnc#856645]
  * fsck: remove corrupted xattr blocks and corrupted orphan inodes;
  remove dentry if inode block is corrupted
- Add 0001-build-provide-definitions-for-byteswapping-on-big-en.patch
* Fri Jul 18 2014 jengelh@inai.de
- Update to new snapshot 1.3.0.g22
  * add "f2fstat" program to print f2fs's status in sec
  * mkfs: support large directories
  * mkfs.f2fs, fsck.f2fs: large volume support
* Sun Nov 24 2013 jengelh@inai.de
- Update to new upstream release 1.2.0
  * f2fs-tools: add stat information into fibmap
  * fibmap.f2fs: change fibmap to fibmap.f2fs
  * fsck, lib: support inline xattr
  * fsck: skip to check block addresses in device files
  * fsck: fix to handle file types correctly
  * fsck: fix checking orphan inodes
* Wed Aug  7 2013 jengelh@inai.de
- Update to new snapshot v1.1.0-40-g6e8f2d5
  * Correct endianess conversions for CRC calculations, checkpoint
  flags and in f2fs_update_nat_root.
  * Fix the total_zones calculation in f2fs_prepare_super_block
  * Add the fsck.f2fs and dump.f2fs utilities
* Mon Jun 10 2013 jengelh@inai.de
- Update to new snapshot v1.1.0-24-gfef98eb
  * mkfs: add option to disable trim at format
  * mkfs: handle labels longer than 16 characters
* Mon Jan 21 2013 jengelh@inai.de
- Add COPYING file to package
* Wed Dec 12 2012 jengelh@inai.de
- Initial package (version v1.1.0-11-gc7e0a01) for build.opensuse.org
